﻿using System;
using System.Collections.Generic;
using Microsoft.EntityFrameworkCore;

namespace Sandbox.Core.Models;

public partial class AutoGeneratedDbContext : DbContext
{
    public AutoGeneratedDbContext(DbContextOptions<AutoGeneratedDbContext> options)
        : base(options)
    {
    }

    public virtual DbSet<Referential> Referentials { get; set; }

    protected override void OnModelCreating(ModelBuilder modelBuilder)
    {
        modelBuilder.Entity<Referential>(entity =>
        {
            entity.ToTable("Referential");

            entity.Property(e => e.Axis)
                .HasMaxLength(20)
                .IsUnicode(false);
            entity.Property(e => e.Code)
                .HasMaxLength(6)
                .IsUnicode(false);
            entity.Property(e => e.Destination)
                .HasMaxLength(6)
                .IsUnicode(false);
            entity.Property(e => e.Label)
                .HasMaxLength(150)
                .IsUnicode(false);
        });

        OnModelCreatingPartial(modelBuilder);
    }

    partial void OnModelCreatingPartial(ModelBuilder modelBuilder);
}
